# xoxys.network
  
[![Build Status](https://drone.rknet.org/api/badges/ansible/xoxys.network/status.svg)](https://drone.rknet.org/ansible/xoxys.network)


Role to manage network interfaces

## Table of content

* [Default Variables](#default-variables)
  * [network_hostname](#network_hostname)
  * [network_fqdn](#network_fqdn)
  * [network_defaultif](#network_defaultif)
  * [network_disable_ipv6](#network_disable_ipv6)
  * [network_dns_server](#network_dns_server)
  * [network_interfaces](#network_interfaces)
  * [network_hosts_entries](#network_hosts_entries)
* [Dependencies](#dependencies)
* [License](#license)
* [Author](#author)

---

## Default Variables

### network_hostname

#### Default value

```YAML
network_hostname: localhost
```

### network_fqdn

#### Default value

```YAML
network_fqdn: localdomain
```

### network_defaultif

#### Default value

```YAML
network_defaultif: eth0
```

### network_disable_ipv6

#### Default value

```YAML
network_disable_ipv6: false
```

### network_dns_server

#### Default value

```YAML
network_dns_server: 8.8.8.8
```

### network_interfaces

#### Default value

```YAML
network_interfaces: {}
```

#### Example usage

```YAML

```

### network_hosts_entries

#### Default value

```YAML
network_hosts_entries: []
```

## Dependencies

None.

## License

MIT

## Author

xoxys
